/*
date: 4.29.2019

purpose: adding in alternative concordance measures: age and education
		
input: "$drive\3output_data\oakland_analysis_final.dta"

output: "$drive\6tables\table5_altconcordance.csv"

author: MF

*/


clear
set more off 
cap log close 

log using "$drive\4log\table5_altconcordance.smcl", replace


use "$drive\3output_data\oakland_analysis_final.dta", clear

	est clear
	foreach x in age5 age10 educ_conc {
		reg delta_shr_invasive	`x' sl5 sl10 if tag == 1, cluster(doctor_id)
			est store `x'1		
		sum delta_shr_invasive if `x' == 0
			estadd scalar control_mean = r(mean)
			
		reg delta_shr_invasive	`x' bl_`x' black_dr sl5 sl10 if tag == 1, cluster(doctor_id)	
			est store `x'2
		sum delta_shr_invasive if black_dr == 0 & `x' == 0
			estadd scalar control_mean = r(mean)
	}
	
		esttab _all using "$drive\6tables\table5_altconcordance.csv", drop(sl5 sl10) ///
					stats(control_mean N) se b(3) nostar replace 	

		
log close	  	
