/*
date: 5.18.2018

purpose: ranksum test of MD characteristics 
		
input:
1) "$drive\2input_data\md_chars.dta"
2) "$drive\3output_data\md_survey.dta"

output: none - data are protected 

author: MF

*/

clear
set more off 
cap log close 




use "$drive\3output_data\md_chars.dta", clear 
	
merge 1:1 doctor_id using "$drive\3output_data\md_survey.dta"
	cap drop _merge
	
cap erase "$drive\6tables\tableA8_mdchars.csv"
	foreach var of varlist years_exp medschool_rank internist mean_correct ptblack_persuade ptwhite_persuade most_comply ptsblack_grtr5 {
		estpost ttest `var', by(black_dr)
		ranksum `var', by(black_dr)
			estadd scalar pval = (2 * normprob(-abs(r(z))))
		esttab  using "$drive\6tables\tableA8_mdchars.csv", cells(mu_1 mu_2) stats(pval N) b(3) append
		}
		


	